Bug 613987 - lvm should prefer /dev/vg/lv names before /dev/dm-X in reports
lvm should prefer /dev/vg/lv names before /dev/dm-X in reports
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Rajnoha
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 08:49 EDT by Milan Broz
Modified: 2013-02-28 23:09 EST (History)
10 users (show)

See Also:
Fixed In Version: lvm2-2.02.72-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:08:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2010-07-13 08:49:38 EDT
Description of problem:

I have several machines, including LUKS encrypted RHEL6.

When I want to work with PV/LVs there, all reporting commands use volatile /dev/dm-X instead of user readable name.

Version-Release number of selected component (if applicable):
lvm2-2.02.69-2.el6.x86_64

How reproducible:

# cryptsetup luksOpen /dev/sdb2 rhel6_pv
Enter passphrase for /dev/sdb2: 
# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "vg_berry2" using metadata type lvm2
...
# pvs
  PV         VG              Fmt  Attr PSize   PFree  
  /dev/dm-6  vg_berry2       lvm2 a-   148.52g   4.00m
...
# vgchange -a y vg_berry2
  3 logical volume(s) in volume group "vg_berry2" now active

# lvs -o lv_name,vg_name,devices vg_berry2
  LV      VG        Devices         
  lv_home vg_berry2 /dev/dm-6(14252)
  lv_root vg_berry2 /dev/dm-6(0)    
  lv_swap vg_berry2 /dev/dm-6(12800)

Expected results:

It should internally prefer names.aliases in this order:
/dev/vg/lv
/dev/mapper/something (/dev/mapper/rhel6_pv here)
/dev/dm-X

Additional info:
Vivat udev.
Comment 2 RHEL Product and Program Management 2010-07-15 10:25:10 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Peter Rajnoha 2010-08-03 09:43:29 EDT
The fix is in the upstream now. The built-in preference rules now try to achieve the ordering:

  /dev/block/* < /dev/dm-* < /dev/disk/* < /dev/mapper/* < anything else

This way, we should see reasonable names in pvs output (as an example). Scheduled for 2.02.73 upstream release.
Comment 6 Corey Marthaler 2010-08-25 16:33:35 EDT
Fix verified in the latest rpms.
2.6.32-59.1.el6.x86_64

lvm2-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
lvm2-libs-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
lvm2-cluster-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
udev-147-2.22.el6    BUILT: Fri Jul 23 07:21:33 CDT 2010
device-mapper-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
device-mapper-libs-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
device-mapper-event-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
device-mapper-event-libs-1.02.53-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010
cmirror-2.02.72-8.el6    BUILT: Wed Aug 18 10:41:52 CDT 2010



[root@taft-02 ~]# pvs
  PV         VG        Fmt  Attr PSize   PFree
  /dev/sda2  vg_taft02 lvm2 a-    67.75g      0
  /dev/sdb1  taft      lvm2 a-   135.66g 135.57g
  /dev/sdc1  taft      lvm2 a-   135.66g 135.57g
  /dev/sdd1  taft      lvm2 a-   135.66g 135.57g
  /dev/sde1  taft      lvm2 a-   135.66g 135.57g
  /dev/sdf1  taft      lvm2 a-   135.66g 135.66g
  /dev/sdg1  taft      lvm2 a-   135.66g 135.66g
  /dev/sdh1  taft      lvm2 a-   135.66g 135.66g


[root@taft-02 ~]# lvs -a -o +devices
  LV                VG        Attr   LSize   Origin Snap%  Move Log         Copy%  Convert Devices
  mirror            taft      mwi-a- 100.00m                    mirror_mlog 100.00         mirror_mimage_0(0),mirror_mimage_1(0),mirror_mimage_2(0),mirror_mimage_3(0)
  [mirror_mimage_0] taft      iwi-ao 100.00m                                               /dev/sdb1(0)
  [mirror_mimage_1] taft      iwi-ao 100.00m                                               /dev/sdc1(0)
  [mirror_mimage_2] taft      iwi-ao 100.00m                                               /dev/sdd1(0)
  [mirror_mimage_3] taft      iwi-ao 100.00m                                               /dev/sde1(0)
  [mirror_mlog]     taft      lwi-ao   4.00m                                               /dev/sdh1(0)
  lv_home           vg_taft02 -wi-ao  25.64g                                               /dev/sda2(8269)
  lv_root           vg_taft02 -wi-ao  32.30g                                               /dev/sda2(0)
  lv_swap           vg_taft02 -wi-ao   9.81g                                               /dev/sda2(14832)
Comment 7 releng-rhel@redhat.com 2010-11-10 16:08:25 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.